Retrieve all time spent entries for the current user. Optionally accepts date range parameters to filter results.
GET
/data/user/time-spents
curl
curl -X GET "http://api.example.com/data/user/time-spents?start_date=2023-01-01&end_date=2023-12-31" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/time-spents"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"start_date": "2023-01-01",
"end_date": "2023-12-31"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "b35b7fb5-df86-5776-b181-68564193d360",
"task_id": "c46c80c6-e097-6887-c292-79675204e470",
"project_id": "d57d91d7-f1a8-7998-d3a3-8a786315f581",
"task_type_id": "e68ea2e8-a2b9-8aa9-e4b4-9b897426a692",
"date": "2023-01-01",
"duration": 3600,
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]